Package com.snowbound.rastermaster

## Class SnowDocBuffer

- java.lang.Object
- - com.snowbound.rastermaster.SnowDocBuffer

- All Implemented Interfaces:
    `Snow.DataBuffer`

      public class SnowDocBuffer
      extends java.lang.Object
      implements Snow.DataBuffer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SnowDocBuffer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.awt.Graphics` | `createGraphics​(int bitDepth, int width, int height)` |
    `java.awt.Graphics` | `createGraphics​(Snowbnd snow, int width, int height)` |
    `java.awt.image.BufferedImage` | `createImage​(int bitDepth, int width, int height)` |
    `java.awt.Image` | `createImage​(Snowbnd snow, int width, int height)` |
    `java.awt.image.BufferedImage` | `getBufferedImage()` |
    `java.awt.Graphics` | `getBufferedImageGraphics()` |
    `int` | `getImageData​(Snowbnd snow)` |
    `int` | `getImageData​(Snowbnd snow, int height, int width)` |
    `void` | `setBufferedImage​(java.awt.image.BufferedImage bi)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SnowDocBuffer

          public SnowDocBuffer()

  - ### Method Detail

    - #### getImageData

          public int getImageData​(Snowbnd snow)

    - #### getImageData

          public int getImageData​(Snowbnd snow,
                                  int height,
                                  int width)

      Specified by:
        `getImageData` in interface `Snow.DataBuffer`

    - #### createImage

          public java.awt.Image createImage​(Snowbnd snow,
                                            int width,
                                            int height)

      Specified by:
        `createImage` in interface `Snow.DataBuffer`

    - #### createImage

          public java.awt.image.BufferedImage createImage​(int bitDepth,
                                                          int width,
                                                          int height)

    - #### createGraphics

          public java.awt.Graphics createGraphics​(Snowbnd snow,
                                                  int width,
                                                  int height)

    - #### createGraphics

          public java.awt.Graphics createGraphics​(int bitDepth,
                                                  int width,
                                                  int height)

    - #### getBufferedImageGraphics

          public java.awt.Graphics getBufferedImageGraphics()

      Specified by:
        `getBufferedImageGraphics` in interface `Snow.DataBuffer`

    - #### getBufferedImage

          public java.awt.image.BufferedImage getBufferedImage()

    - #### setBufferedImage

          public void setBufferedImage​(java.awt.image.BufferedImage bi)